## org.apache.http.client.fluent
Class Executor

    java.lang.Object
      org.apache.http.client.fluent.Executor

    public class Executor

extends Object

An Executor for fluent requests

A `PoolingClientConnectionManager` with maximum 100 connections per route and a total maximum of 200 connections is used internally.

Method Summary
`Executor` `auth(AuthScope authScope, Credentials creds)`
`Executor` `auth(Credentials cred)`
`Executor` `auth(HttpHost host, Credentials creds)`
`Executor` `auth(HttpHost host, String username, String password)`
`Executor` `auth(HttpHost host, String username, String password, String workstation, String domain)`
`Executor` `auth(String username, String password)`
`Executor` `auth(String username, String password, String workstation, String domain)`
`Executor` `authPreemptive(HttpHost host)`
`Executor` `authPreemptiveProxy(HttpHost host)`
`Executor` `clearAuth()`
`Executor` `clearCookies()`
`Executor` `cookieStore(CookieStore cookieStore)`
`Response` `execute(Request request)` Executes the request.
`static Executor` `newInstance()`
`static Executor` `newInstance(HttpClient httpclient)`
`static void` `registerScheme(Scheme scheme)`
`static void` `unregisterScheme(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static Executor newInstance()

### newInstance

    public static Executor newInstance(HttpClient httpclient)

### auth

    public Executor auth(AuthScope authScope,
                         Credentials creds)

### auth

    public Executor auth(HttpHost host,
                         Credentials creds)

### authPreemptive

    public Executor authPreemptive(HttpHost host)

### authPreemptiveProxy

    public Executor authPreemptiveProxy(HttpHost host)

### auth

    public Executor auth(Credentials cred)

### auth

    public Executor auth(String username,
                         String password)

### auth

    public Executor auth(String username,
                         String password,
                         String workstation,
                         String domain)

### auth

    public Executor auth(HttpHost host,
                         String username,
                         String password)

### auth

    public Executor auth(HttpHost host,
                         String username,
                         String password,
                         String workstation,
                         String domain)

### clearAuth

    public Executor clearAuth()

### cookieStore

    public Executor cookieStore(CookieStore cookieStore)

### clearCookies

    public Executor clearCookies()

### execute

    public Response execute(Request request)
                     throws ClientProtocolException,
                            IOException

  Executes the request. Please Note that response content must be processed or discarded using `Response.discardContent()`, otherwise the connection used for the request might not be released to the pool.

  Throws:
    `ClientProtocolException`
    `IOException`
  See Also:
    `Response.handleResponse(org.apache.http.client.ResponseHandler)`, `Response.discardContent()`

### registerScheme

    public static void registerScheme(Scheme scheme)

### unregisterScheme

    public static void unregisterScheme(String name)

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.